#include "PtoPTwoDimArray.h"

twoDimArray create(int lns, int clmns) {
    twoDimArray rVal;
    rVal.store = new int*[lns];
    for (int i = 0; i < lns; i++)
        rVal.store[i] = new int[clmns];
    rVal.lns = lns;
    rVal.clmns = clmns;
    return rVal;
}
void set(twoDimArray array, int ln, int clmn, int value) {
    array.store[ln][clmn]=value;
}

int get(twoDimArray array, int ln, int clmn) {
    return array.store[ln][clmn];
}

void erase(twoDimArray array) {
    for (int i=0; i<array.lns; i++)
        delete [] array.store[i];
    delete [] array.store;    
}